UserUpdateParameters Class

Request parameters for updating an existing work or school account user.

Inheritance
UserUpdateParameters

Constructor

UserUpdateParameters(*, additional_properties=None, immutable_id: Optional[str] = None, usage_location: Optional[str] = None, given_name: Optional[str] = None, surname: Optional[str] = None, user_type=None, account_enabled: Optional[bool] = None, display_name: Optional[str] = None, password_profile=None, user_principal_name: Optional[str] = None, mail_nickname: Optional[str] = None, **kwargs)

Parameters

additional_properties
dict[str, object]
Required

Unmatched properties from the message are deserialized this collection

immutable_id
str
Required

This must be specified if you are using a federated domain for the user's userPrincipalName (UPN) property when creating a new user account. It is used to associate an on-premises Active Directory user account with their Azure AD user object.

usage_location
str
Required

A two letter country code (ISO standard 3166). Required for users that will be assigned licenses due to legal requirement to check for availability of services in countries. Examples include: "US", "JP", and "GB".

given_name
str
Required

The given name for the user.

surname
str
Required

The user's surname (family name or last name).

user_type
str or UserType
Required

A string value that can be used to classify user types in your directory, such as 'Member' and 'Guest'. Possible values include: 'Member', 'Guest'

account_enabled
bool
Required

Whether the account is enabled.

display_name
str
Required

The display name of the user.

password_profile
PasswordProfile
Required

The password profile of the user.

user_principal_name
str
Required

The user principal name (<xref:mailto:someuser@contoso.com>). It must contain one of the verified domains for the tenant.

mail_nickname
str
Required

The mail alias for the user.